@echo off
REM JBoss, the OpenSource webOS
REM
REM Distributable under LGPL license.
REM See terms of license at gnu.org.
REM

@if not "%ECHO%" == "" echo %ECHO%
@if "%OS%" == "Windows_NT" setlocal
set DIRNAME=%CD%

set SVCNAME=JBoss Web Server 1.0
set NOPAUSE=Y
set JAVA_OPTS=-Xrs

REM Figure out the running mode

@if "%1" == "install"   goto cmdInstall
@if "%1" == "uninstall" goto cmdUninstall
@if "%1" == "start"     goto cmdStart
@if "%1" == "stop"      goto cmdStop
@if "%1" == "restart"   goto cmdRestart
echo Usage: service install^|uninstall^|start^|stop^|restart
goto cmdEnd

REM jbosssvc retun values
REM ERR_RET_USAGE           1
REM ERR_RET_VERSION         2
REM ERR_RET_INSTALL         3
REM ERR_RET_REMOVE          4
REM ERR_RET_PARAMS          5
REM ERR_RET_MODE            6

:errExplain
@if errorlevel 1 echo Invalid command line parameters
@if errorlevel 2 echo Failed installing %SVCNAME%
@if errorlevel 4 echo Failed removing %SVCNAME%
@if errorlevel 6 echo Unknown service mode for %SVCNAME%
goto cmdEnd

:cmdInstall
jbosssvc.exe -iwdc JBWS1SVC "%DIRNAME%" "%SVCNAME%" "JBoss Web Server 1.0.0.GA/Built: Jun 11 2006 11:55:04" service.bat
@if not errorlevel 0 goto errExplain
echo Service %SVCNAME% installed
goto cmdEnd

:cmdUninstall
jbosssvc.exe -u JBWS1SVC
@if not errorlevel 0 goto errExplain
echo Service %SVCNAME% removed
goto cmdEnd

:cmdStart
call run.bat >run.log
goto cmdEnd

:cmdStop
call shutdown -S >shutdown.log
goto cmdEnd

:cmdRestart
call shutdown -S >>shutdown.log
call run.bat >>run.log
goto cmdEnd

:cmdEnd
